<?php

declare(strict_types=1);

/*
 * Copyright (C) 2023 Daniel Siepmann <coding@daniel-siepmann.de>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301, USA.
 */

namespace DanielSiepmann\FediverseFeedWrappers\Tests\Unit\Wrapper;

use DanielSiepmann\FediverseFeedWrappers\WrapperInterface;
use DanielSiepmann\FediverseFeedWrappers\Wrapper\GitHubTypo3;
use PHPUnit\Framework\TestCase;

/**
 * @covers \DanielSiepmann\FediverseFeedWrappers\Wrapper\GitHubTypo3
 */
class GitHubTypo3Test extends TestCase
{
    /**
     * @test
     */
    public function canBeCreated(): void
    {
        $subject = new GitHubTypo3();

        self::assertInstanceOf(
            GitHubTypo3::class,
            $subject
        );
    }

    /**
     * @test
     */
    public function isInstanceOfWrapperInterface(): void
    {
        $subject = new GitHubTypo3();

        self::assertInstanceOf(
            WrapperInterface::class,
            $subject
        );
    }

    /**
     * @test
     */
    public function returnsAdjustedFeed(): void
    {
        $subject = new GitHubTypo3(
            __DIR__ . '/Fixtures/GitHubTypo3.atom'
        );

        self::assertStringEqualsFile(
            __DIR__ . '/Assertions/GitHubTypo3.atom',
            $subject->handle()
        );
    }
}
